Bug 767672 - Rebase openchange libraries
Rebase openchange libraries
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openchange (Show other bugs)
6.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: Rebase
: 563046 809318 860631 (view as bug list)
Depends On: 767678
Blocks: 791327 563048 766333 840699
  Show dependency treegraph
 
Reported: 2011-12-14 11:21 EST by Simo Sorce
Modified: 2013-05-30 08:29 EDT (History)
8 users (show)

See Also:
Fixed In Version: openchange-1.0-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Rebase package(s) to version: 1.0 "BORG" This rebase is necessary to use the rebased Samba4 package in RHEL 6.4. Blurbs from upstream announcements for interim releases since 0.9 follow. Note that the server is disabled in the RHEL 6 openchange package. 0.10 "NOMAD" OpenChange 0.10 provides support for EcDoConnectEx and EcDoRpcExt2, improves UNICODE support in libmapi stack, fix numerous bugs and provides among other things better MAPI properties support. A new snapshot of OpenChange server is included with folder semantics and preliminary message support. 0.11 "TRANSPORTER" OpenChange 0.11 provides improved Unicode handling, Kerberos authentication, Fast Transfer, improved threading support and many, many bug fixes. See the CHANGELOG file in the tarball for full details. This version does not provideserver support (which is being refactored, and will be a key part of the 0.12 development). 1.0 "BORG" OpenChange 1.0 provides a working server implementation with support among other numerous features for cached mode and notifications (MAPI but also from external services such as Dovecot). It is working with all Outlook versions and is using SOGo backend for OpenChange as primary storage backend for this release. OpenChange client libraries have also been greatly improved with the help of developers using it within their development (e.g. evolution-mapi). See the CHANGELOG file in the tarball for full details.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 05:20:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2011-12-14 11:21:38 EST
We need to rebase the samba4-libs for IdM, this will also require a rebase of the openchange libs or they will be broken.

See bug #766333
Comment 2 Suzanne Yeghiayan 2012-01-31 16:15:50 EST
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.
Comment 4 RHEL Product and Program Management 2012-07-10 03:21:21 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2012-07-10 21:44:18 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 8 Matthew Barnes 2012-10-03 13:30:39 EDT
Rebased in openchange-1.0-1.el6.
Comment 11 Matthew Barnes 2012-10-15 13:09:46 EDT
*** Bug 860631 has been marked as a duplicate of this bug. ***
Comment 12 Milan Crha 2012-10-26 08:14:14 EDT
There had been found a regression in OpenChange with certain combination of samba4 (approximately since alpha18). Please consider adding also bug #870405.

To be honest, the regression was "caused" rather by change in samba4, which discovered the issue in OpenChange. Check the other bug for details.
Comment 15 errata-xmlrpc 2013-02-21 05:20:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0515.html
Comment 16 Milan Crha 2013-05-07 05:18:52 EDT
*** Bug 563046 has been marked as a duplicate of this bug. ***
Comment 17 Milan Crha 2013-05-27 07:47:58 EDT
*** Bug 809318 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.